aboutsummaryrefslogtreecommitdiffstats
path: root/main/gnokii/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-02-23 07:47:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-02-23 07:48:58 +0000
commit8a237d7bb6ece7aae8928795fc6a083934055ac5 (patch)
tree169a19de45b419139ae8f0bfd764d0ea6e718ed1 /main/gnokii/APKBUILD
parente7d9063e2b662f88fd874adf8e0e2bcd37cce86b (diff)
downloadaports-8a237d7bb6ece7aae8928795fc6a083934055ac5.tar.gz
aports-8a237d7bb6ece7aae8928795fc6a083934055ac5.tar.bz2
aports-8a237d7bb6ece7aae8928795fc6a083934055ac5.tar.xz
main/gnokii: upgrade to 0.6.31
Diffstat (limited to 'main/gnokii/APKBUILD')
-rw-r--r--main/gnokii/APKBUILD25
1 files changed, 17 insertions, 8 deletions
diff --git a/main/gnokii/APKBUILD b/main/gnokii/APKBUILD
index 1cf052fbf3..3c80b132c9 100644
--- a/main/gnokii/APKBUILD
+++ b/main/gnokii/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gnokii
-pkgver=0.6.30
-pkgrel=4
+pkgver=0.6.31
+pkgrel=0
pkgdesc="Tools and user space driver for use with mobile phones"
url="http://www.gnokii.org/"
arch="all"
@@ -9,18 +9,25 @@ license="GPL"
depends=""
subpackages="$pkgname-dev $pkgname-doc $pkgname-libs xgnokii $pkgname-smsd
$pkgname-smsd-pgsql:pgsql $pkgname-smsd-mysql:mysql
- $pkgname-smsd-sqlite:sqlite"
+ $pkgname-smsd-sqlite:sqlite $pkgname-lang"
makedepends="gtk+-dev mysql-dev intltool libusb-compat-dev libxpm-dev
- bluez-dev libical-dev postgresql-dev sqlite-dev"
+ bluez-dev libical-dev postgresql-dev sqlite-dev
+ autoconf automake libtool"
source="http://www.gnokii.org/download/gnokii/gnokii-$pkgver.tar.bz2
- gnokii.patch"
+ gnokii.patch
+ xgnokii.patch"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ autoreconf || return 1
sed -i 's|cellphone|phone|' xgnokii/xgnokii.desktop.in
- patch -Np1 -i "$srcdir/gnokii.patch"
}
build() {
@@ -30,6 +37,7 @@ build() {
--enable-security \
--disable-unix98test \
--disable-phonet \
+ --with-x \
|| return 1
make
}
@@ -80,5 +88,6 @@ sqlite() {
mkdir -p "$subpkgdir"/usr/lib/smsd
mv "$pkgdir"/usr/lib/smsd/*sqlite*.so "$subpkgdir"/usr/lib/smsd/
}
-md5sums="c90137d403febbc16712d64f0eb196de gnokii-0.6.30.tar.bz2
-4d764727686ee34bc73489c8b1321c82 gnokii.patch"
+md5sums="d9627f4a1152d3ea7806df4532850d5f gnokii-0.6.31.tar.bz2
+5de7a1c6a59b740df9d24f5c08cea448 gnokii.patch
+6b87d13cb012bfdfd3581d89f42a3cff xgnokii.patch"